Package com.tietoenator.trip.jxp.data

# Enum Class TdbSortMergeType

java.lang.Object
java.lang.Enum<TdbSortMergeType>
com.tietoenator.trip.jxp.data.TdbSortMergeType

All Implemented Interfaces:
  `Serializable`, `Comparable<TdbSortMergeType>`, `Constable`

public enum TdbSortMergeType extends Enum<TdbSortMergeType>
Used with the TdbRecordSet and TdbSearchSet classes to indicate how a sorted cluster search should be treated.

Since:
  TRIPjxp v8.1-2

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `Default`
  Use a TRIPsystem-determined backward compatible default.
  `Merge`
  Combine records from each database in the cluster into a single, merged search result.
  `NoMerge`
  Keep records from each database in the cluster separate in the sorted search result.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TdbSortMergeType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static TdbSortMergeType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### Default

    public static final TdbSortMergeType Default
    Use a TRIPsystem-determined backward compatible default.

    The base default is determined by the CCL DEFINE [NO] MERGE in TRIPsystem, where NO MERGE is used unless otherwise stated. There is, when using TRIPjxp, for backward-compatibility purposes a secondary condtion that will override this by always using MERGE if sorting a query executed at the same time as the data retrieval request.

    Applications should therefore explicitly use 'Merge' or 'NoMerge' when sorting a database cluster in order to obtain the desired sort order instead of relying on TRIPsystem default.

  - ### Merge

    public static final TdbSortMergeType Merge
    Combine records from each database in the cluster into a single, merged search result.

  - ### NoMerge

    public static final TdbSortMergeType NoMerge
    Keep records from each database in the cluster separate in the sorted search result.

- ## Method Details

  - ### values

    public static TdbSortMergeType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TdbSortMergeType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null